﻿/**
 * Pocket Project
 * 
 * @copyright 2007 Power-Station co., Ltd, ALL Rights Reserved,
 */

// ----- GLOBAL.SETTINGS -----
/**
 *  ディレクトリ設定
 */
PE_CSS_DIR     = PE_ROOT_DIR + "css/";
PE_IMAGES_DIR  = PE_ROOT_DIR + "images/";

// ----- TOOLBAR.SETTINGS -----
/**
 *  フォントタイプ設定
 */
var PE_FONTS = new Array();
PE_FONTS[0] = new Array("-Font-", "");
PE_FONTS[1] = new Array("ＭＳ 明朝", "ＭＳ 明朝, Courier, serif");
PE_FONTS[2] = new Array("ＭＳ ゴシック", "ＭＳ ゴシック, Helvetica, sans-serif");
PE_FONTS[3] = new Array("Serif", "serif");
PE_FONTS[4] = new Array("Sans Serif", "sans-serif");
PE_FONTS[5] = new Array("Verdana", "Verdana");
PE_FONTS[6] = new Array("Tahoma", "Tahoma");
PE_FONTS[7] = new Array("Arial", "Arial");

/**
 *  フォントサイズ設定
 */
var PE_FONT_SIZES = new Array();
PE_FONT_SIZES[0] = new Array("-Size-", "");
PE_FONT_SIZES[1] = new Array("1", "1");
PE_FONT_SIZES[2] = new Array("2", "2");
PE_FONT_SIZES[3] = new Array("3", "3");
PE_FONT_SIZES[4] = new Array("4", "4");
PE_FONT_SIZES[5] = new Array("5", "5");
PE_FONT_SIZES[6] = new Array("6", "6");
PE_FONT_SIZES[7] = new Array("7", "7");

/**
 *  ツールバーボタン設定
 */
var PE_BUTTON_NAME = new Array();
PE_BUTTON_NAME[0] = "seperator";
PE_BUTTON_NAME[1] = "bold";
PE_BUTTON_NAME[2] = "italic";
PE_BUTTON_NAME[3] = "underline";
PE_BUTTON_NAME[4] = "seperator";
PE_BUTTON_NAME[5] = "forecolor";
PE_BUTTON_NAME[6] = "seperator";
PE_BUTTON_NAME[7] = "link";
PE_BUTTON_NAME[8] = "image";

var PE_TOOLBAR_ITEMS = {
    //名前           コマンドID        ALT属性値         ボタンアイコンパス                       ロールオーバーボタンアイコンパス
    "seperator":     ['',              '',               PE_IMAGES_DIR + 'seperator.gif',         PE_IMAGES_DIR + 'seperator.gif'],
    "bold":          ['Bold',          '太字',           PE_IMAGES_DIR + 'bold_off.gif',          PE_IMAGES_DIR + 'bold_on.gif'],
    "italic":        ['Italic',        '斜体'  ,         PE_IMAGES_DIR + 'italic_off.gif',        PE_IMAGES_DIR + 'italic_on.gif'],
    "underline":     ['Underline',     '下線',           PE_IMAGES_DIR + 'underline_off.gif',     PE_IMAGES_DIR + 'underline_on.gif'],
    "seperator":     ['',              '',               PE_IMAGES_DIR + 'seperator.gif',         PE_IMAGES_DIR + 'seperator.gif'],
    "forecolor":     ['ForeColor',     '文字色',         PE_IMAGES_DIR + 'forecolor_off.gif',     PE_IMAGES_DIR + 'forecolor_on.gif'],
    "seperator":     ['',              '',               PE_IMAGES_DIR + 'seperator.gif',         PE_IMAGES_DIR + 'seperator.gif'],
    "link":          ['CreateLink',    'リンク挿入',     PE_IMAGES_DIR + 'link_off.gif',          PE_IMAGES_DIR + 'link_on.gif'],
    "image":         ['InsertImage',   'イメージ挿入',   PE_IMAGES_DIR + 'image_off.gif',         PE_IMAGES_DIR + 'image_on.gif']
};

// ----- FUNCTION -----
/**
 *  エディタを表示する
 *
 *  @param  string  $objTextareaId   テキストエリアのID文字列
 *  @param  int     $intWidth        エディタの幅
 *  @param  int     $intHeight       エディタの高さ
 *  @return 
 */
function pe_drawingPocketEditor(objTextareaId, intWidth, intHeight)
{
    // CSSの読込み
    document.write('<link rel="stylesheet" type="text/css" href="' + PE_CSS_DIR + 'default.css">\n');

    // 注意書きの出力
    var caution = "<pre class='pe-toolbar-caution'><div class='fd_caution fs_s'>※改行(&lt;BR&gt;)はShiftキーを押しながらEnterキーを押してください</div></pre>";
    document.getElementById(objTextareaId).insertAdjacentHTML("BEFOREBEGIN", caution);

    //高さ・幅の設定
    PE_EDITOR_WIDTH  = intWidth;
    PE_EDITOR_HEIGHT = intHeight;

    // テキストエリアの非表示設定
    document.getElementById(objTextareaId).style.display = 'none'; 

    //ツールバースタイルの設定
    if (navigator.appName == "Microsoft Internet Explorer")
    {
        var tb_style_valign = 'middle';
    } else {
        var tb_style_valign = 'bottom';
    }

    //ツールバー文字列の生成
    var toolbar = '';
    toolbar += '<table class="pe-toolbar-edit-area" cellpadding="0" cellspacing="0" border="0" style="width:' + (parseFloat(PE_EDITOR_WIDTH) + 4) + 'px;">';
    toolbar += '<tr><td style="width: 3px;"></td>';

    // ドロップダウンリスト文字列の生成
    toolbar += '<td style="width: 95px;">' + pe_createDropDown(objTextareaId, "FontSelect", PE_FONTS) + '</td>';
    toolbar += '<td style="width: 40px;">' + pe_createDropDown(objTextareaId, "FontSizes", PE_FONT_SIZES) + '</td>';

    // ボタン文字列の生成
    for (var i = 0; i <= PE_BUTTON_NAME.length;)
    {
        if (PE_BUTTON_NAME[i])
        {
            var objBtn       = PE_TOOLBAR_ITEMS[PE_BUTTON_NAME[i]];
            var objBtnID     = objBtn[0];
            var objBtnTitle  = objBtn[1];
            var objBtnImage  = objBtn[2];
            var objBtnImageR = objBtn[3];
            // セパレータかチェック
            if (PE_BUTTON_NAME[i] == "seperator")
            {
                toolbar += '<td style="padding:0px; width:10px; vertical-align:' + tb_style_valign + ';" align="center"><img src="' + objBtnImage + '" border=0 unselectable="on" width="2" height="20" hspace="2" unselectable="on"></td>';
            } else {
                toolbar += '<td style="padding:0px; width:20px; vertical-align:' + tb_style_valign + ';"><img src="' + objBtnImage + '" border=0 unselectable="on" title="' + objBtnTitle + '" id="' + objBtnID + '" class="pe-toolbar-button" onClick="pe_formatContents(this.id,\'' + objTextareaId + '\');" onmouseover="if(className==\'toolbar-button\'){className=\'toolbar-button-over\'}; this.src=\'' + objBtnImageR + '\';" onmouseout="if(className==\'toolbar-button-over\'){className=\'toolbar-button\'}; this.src=\'' + objBtnImage + '\';" unselectable="on">';
                // 文字色かチェック
                if (PE_BUTTON_NAME[i] == "forecolor")
                {
                    toolbar += '<div id="pe_colorPalette" style="z-index:1; display:none;">';
                    toolbar += '<div style="position:relative;"></div>';
                    toolbar += '<div style="position:absolute; width:117px; height:49px; background-color:#999999;">';
                    toolbar += '<table border=1 style="cursor: pointer;">';
                    toolbar += '<tr>';
                    toolbar += '<td id="pe_colorViewer" style="height:20px; background-color:#000000;" colspan="9"></td>';
                    toolbar += '</tr>';
                    toolbar += '<tr>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#000000;" onMouseOver="pe_viewColor(\'#000000\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#000000\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#007700;" onMouseOver="pe_viewColor(\'#007700\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#007700\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#00FF00;" onMouseOver="pe_viewColor(\'#00FF00\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#00FF00\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#770000;" onMouseOver="pe_viewColor(\'#770000\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#770000\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#777700;" onMouseOver="pe_viewColor(\'#777700\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#777700\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#77FF00;" onMouseOver="pe_viewColor(\'#77FF00\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#77FF00\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF0000;" onMouseOver="pe_viewColor(\'#FF0000\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF0000\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF7700;" onMouseOver="pe_viewColor(\'#FF7700\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF7700\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FFFF00;" onMouseOver="pe_viewColor(\'#FFFF00\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FFFF00\')"></td>';
                    toolbar += '</tr>';
                    toolbar += '<tr>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#000077;" onMouseOver="pe_viewColor(\'#000077\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#000077\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#007777;" onMouseOver="pe_viewColor(\'#007777\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#007777\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#00FF77;" onMouseOver="pe_viewColor(\'#00FF77\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#00FF77\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#770077;" onMouseOver="pe_viewColor(\'#770077\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#770077\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#777777;" onMouseOver="pe_viewColor(\'#777777\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#777777\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#77FF77;" onMouseOver="pe_viewColor(\'#77FF77\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#77FF77\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF0077;" onMouseOver="pe_viewColor(\'#FF0077\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF0077\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF7777;" onMouseOver="pe_viewColor(\'#FF7777\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF7777\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FFFF77;" onMouseOver="pe_viewColor(\'#FFFF77\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FFFF77\')"></td>';
                    toolbar += '</tr>';
                    toolbar += '<tr>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#0000FF;" onMouseOver="pe_viewColor(\'#0000FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#0000FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#0077FF;" onMouseOver="pe_viewColor(\'#0077FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#0077FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#00FFFF;" onMouseOver="pe_viewColor(\'#00FFFF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#00FFFF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#7700FF;" onMouseOver="pe_viewColor(\'#7700FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#7700FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#7777FF;" onMouseOver="pe_viewColor(\'#7777FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#7777FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#77FFFF;" onMouseOver="pe_viewColor(\'#77FFFF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#77FFFF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF00FF;" onMouseOver="pe_viewColor(\'#FF00FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF00FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FF77FF;" onMouseOver="pe_viewColor(\'#FF77FF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FF77FF\')"></td>';
                    toolbar += '<td style="width:10px; height:10px; background-color:#FFFFFF;" onMouseOver="pe_viewColor(\'#FFFFFF\')" onMouseDown="pe_setColor(\'' + objTextareaId + '\', \'#FFFFFF\')"></td>';
                    toolbar += '</tr>';
                    toolbar += '</table>';
                    toolbar += '</div>';
                    toolbar += '</div>';
                }
                toolbar += '</td>';
            }
        }
        i++;
    }

    toolbar += "<td>&nbsp;</td></tr></table>";


    // エディタ表示IFRAME設定
    var iframe = '<table class="pe-toolbar-edit-area" cellpadding="0" cellspacing="0"><tr><td>'
               + '<iframe frameborder="0" id="iframePE' + objTextareaId + '"></iframe>'
               + '</td></tr></table>';

    // テキストエリア後にツールバーとIFRAMEを挿入
    document.getElementById(objTextareaId).insertAdjacentHTML("AFTEREND", toolbar + iframe);

    // IFRAMEに高さ・幅を設定
    document.getElementById("iframePE" + objTextareaId).style.height = PE_EDITOR_HEIGHT + "px";
    document.getElementById("iframePE" + objTextareaId).style.width  = PE_EDITOR_WIDTH  + "px";  

    // テキストエリアの内容を取得
    var content = document.getElementById(objTextareaId).value;

    // IFRAMEのwindow,documentオブジェクトを取得する
    var doc = document.getElementById("iframePE" + objTextareaId).contentWindow.document;
    doc.open();
    doc.write(content);
    doc.close();

    // IFRAMEのHEAD内にスタイルシートのリンクエレメントを追加
    var cssElement  = doc.createElement("LINK");
    cssElement.rel  = "stylesheet";
    cssElement.type = "text/css";
    cssElement.href = PE_CSS_DIR + "styles.css";
    doc.getElementsByTagName("HEAD")[0].appendChild(cssElement);

    // IFRAMEを編集可能にする
    doc.body.contentEditable = true;
    doc.designMode = "on";

    // SUBMIT時、エディターの内容で既存TEXTAREAを更新
    if (navigator.appName == "Microsoft Internet Explorer")
    {
        for (var idx=0; idx < document.forms.length; idx++)
        {
            document.forms[idx].attachEvent("onsubmit", function() { pe_submit(objTextareaId); });
        }
    }
    else {
        for (var idx=0; idx < document.forms.length; idx++)
        {
            document.forms[idx].addEventListener("submit", function OnSumbmit() { pe_submit(objTextareaId); }, true);
        }
    }
}

/**
 *  ドロップダウンリストを作成する
 *
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @param  string  $objID          ドロップダウンリストID文字列
 *  @param  array   $arrItems       リストアイテム配列
 *  @param  string  $label          ラベル
 *  @return string  $arrDropDown    HTML文字列
 */
function pe_createDropDown(objTextareaId, objID, arrItems)
{
    arrItems.sort();
    var arrDropDown = "";
    arrDropDown += '<select id="' + objID + '" name="' + objID + '" onchange="pe_formatContents(\'' + objID + '\',\'' + objTextareaId + '\',this.form.' + objID + '.value);">';
    for (var i = 0; i < arrItems.length;)
    {
        if (arrItems[i]) arrDropDown += '<option value="' + arrItems[i][1] + '">' + arrItems[i][0] + '&nbsp;</option>';
        i++;
    }
    arrDropDown += '</select>';
    return arrDropDown;
}

/**
 *  コンテンツ内容を整形する
 *
 *  @param  string  $objID          コントロールID
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @param  array   $value          選択値
 *  @return 
 */
function pe_formatContents(objID, objTextareaId, value)
{
    // ツールバーボタンクリック時、IFRAMEにフォーカスを移動
    document.getElementById("iframePE" + objTextareaId).contentWindow.focus();
    // ボタン種別の判定
    if (objID == "FontSizes" && value != "")
    {
        // フォントサイズ変更
        document.getElementById("iframePE" + objTextareaId).contentWindow.document.execCommand("FontSize", false, value);
    }
    else if (objID == "FontSelect" && value != "")
    {
        // フォントタイプ変更
        document.getElementById("iframePE" + objTextareaId).contentWindow.document.execCommand("FontName", false, value);
    }
    else if (objID == "ForeColor")
    {
        // フォントカラー
        if (document.getElementById("pe_colorPalette").style.display == "none")
        {
            document.getElementById("pe_colorPalette").style.display = ""
        }
        else {
            document.getElementById("pe_colorPalette").style.display = "none"
        }
    }
    else if (objID == "CreateLink")
    {
        // リンクの挿入
        window.open(PE_LINK_DIALOG_URL + '&iframe=' + objTextareaId,'dialog','location=0,status=0,scrollbars=0,resizable=0,width=' + PE_LINK_DIALOG_W + ',height=' + PE_LINK_DIALOG_H);
    }
    else if (objID == "InsertImage")
    {
        // イメージの挿入
        window.open(PE_IMG_DIALOG_URL + '&iframe=' + objTextareaId,'dialog','location=0,status=0,scrollbars=0,resizable=0,width=' + PE_IMG_DIALOG_W + ',height=' + PE_IMG_DIALOG_H);
    }
    else {
        // その他（Bold、Italicなど）
        document.getElementById("iframePE" + objTextareaId).contentWindow.document.execCommand(objID, false, null);
    }
}

/**
 *  エディターの内容をテキストエリアに設定
 *
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @return 
 */
function pe_submit(objTextareaId)
{
    document.getElementById(objTextareaId).value = document.getElementById("iframePE" + objTextareaId).contentWindow.document.body.innerHTML;
}

/**
 *  Netscape 6/Mozillaでも動作する様に、
 *  insertAdjacentHTML(),insertAdjacentText(),insertAdjacentElement()をエミュレートする
 *
 *  @param  string  $where        挿入位置
 *  @param  string  $parsedNode   挿入オブジェクトHTML文字列
 *  @return 
 */
if (typeof HTMLElement != "undefined" && !HTMLElement.prototype.insertAdjacentElement)
{
    HTMLElement.prototype.insertAdjacentElement =
        function(where, parsedNode)
        {
            switch (where)
            {
            // 開始タグの前（タグ外）
            case "BEFOREBEGIN":
                this.parentNode.insertBefore(parsedNode,this);
                break;
            // 開始タグの後（タグ内）
            case "AFTERBEGIN":
                this.insertBefore(parsedNode,this.firstChild);
                break;
            // 終了タグの前（タグ内）
            case "BEFOREEND":
                this.appendChild(parsedNode);
                break;
            // 終了タグの後（タグ外）
            case "AFTEREND":
                if (this.nextSibling)
                this.parentNode.insertBefore(parsedNode,this.nextSibling);
                else this.parentNode.appendChild(parsedNode);
                break;
        }
    }

    HTMLElement.prototype.insertAdjacentHTML =
        function(where, htmlStr)
        {
            var r = this.ownerDocument.createRange();
            r.setStartBefore(this);
            var parsedHTML = r.createContextualFragment(htmlStr);
            this.insertAdjacentElement(where,parsedHTML);
        }

    HTMLElement.prototype.insertAdjacentText =
        function(where, txtStr)
        {
            var parsedText = document.createTextNode(txtStr);
            this.insertAdjacentElement(where,parsedText);
        }
}

/**
 *  現在のページにHTMLを挿入する
 *
 *  @param  string  $html           HTML文字列
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @return 
 */
function pe_insertHTML(html, objTextareaId)
{
    // ブラウザ判断
    if (navigator.appName == "Microsoft Internet Explorer")
    {
        document.getElementById("iframePE" + objTextareaId).contentWindow.document.selection.createRange().pasteHTML(html);
    }
    else {
        // DIVエレメントオブジェクトを作成
        var div = document.getElementById("iframePE" + objTextareaId).contentWindow.document.createElement("div");
        // IMAGEのHTML文字列を設定
        div.innerHTML = html;
        // 作成したHTML文字列を出力
        var node = pe_insertNode(div, objTextareaId);
    }
}

/**
 *  現在のページにHTMLを挿入する（mozilla用）
 *
 *  @param  string  $objNode        エレメントオブジェクト
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @return 
 */
function pe_insertNode(objNode, objTextareaId)
{

    // 現在の選択範囲を取得
    var selPos = document.getElementById("iframePE" + objTextareaId).contentWindow.getSelection();

    // 選択範囲の最初の位置を取得
    var range = selPos.getRangeAt(0);

    // 選択状態を全て破棄
    selPos.removeAllRanges();

    // 選択されたノードと文字の全てを削除
    range.deleteContents();

    // 選択開始位置を取得
    var container = range.startContainer;

    // 選択範囲の対象位置の先頭ノード内での開始文字位置を取得
    var pos = range.startOffset;

    // 新しい選択位置オブジェクトを作成
    range=document.createRange();

    // 挿入するノートがTEXT_NODEかを判断
    if (container.nodeType==3 && objNode.nodeType==3)
    {
        // IMAGEを挿入
        container.insertData(pos, objNode.nodeValue);
        // カーソルの設定
        range.setEnd(container, pos + objNode.length);
        range.setStart(container, pos + objNode.length);
    }
    else {
        var afterNode;
        if (container.nodeType==3)
        {
            // 仮想的なノードを作成
            var textNode = container;
            container = textNode.parentNode;
            var text = textNode.nodeValue;

            // 選択開始位置前文字列の取得
            var textBefore = text.substr(0,pos);
            // 選択開始位置後文字列の取得
            var textAfter = text.substr(pos);

            var beforeNode = document.createTextNode(textBefore);
            afterNode = document.createTextNode(textAfter);

            // IMAGEを挿入
            container.insertBefore(afterNode, textNode);
            container.insertBefore(objNode, afterNode);
            container.insertBefore(beforeNode, objNode);

            // 子ノードを削除
            container.removeChild(textNode);
        }
        else {
            // 上記以外のノードの場合
            afterNode = container.childNodes[pos];
            container.insertBefore(objNode, afterNode);
        }

        // カーソルの設定
        range.setEnd(afterNode, 0);
        range.setStart(afterNode, 0);
    }

    selPos.addRange(range);
}

/**
 *  指定カラーのプレビュー表示を行う
 *
 *  @param  string  $color          16進カラー
 */
function pe_viewColor(color)
{
    document.getElementById("pe_colorViewer").style.backgroundColor = color;
}

/**
 *  指定カラーに設定する
 *
 *  @param  string  $objTextareaId  テキストエリアのID文字列
 *  @param  string  $color          16進カラー
 */
function pe_setColor(objTextareaId, color)
{
    document.getElementById("iframePE" + objTextareaId).contentWindow.document.execCommand("ForeColor", false, color);
    document.getElementById("pe_colorPalette").style.display = "none";
}
