<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブログ設定情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configBlogUpdateAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $blog_name            = $request['BLOG_NAME'];
        $blog_intro           = $request['BLOG_INTRO'];
        $news_size            = $request['NEWS_SIZE'];
        $page_size            = $request['PAGE_SIZE'];
        $is_comment_approve   = $request['IS_COMMENT_APPROVE'];
        $is_trackback_approve = $request['IS_TRACKBACK_APPROVE'];
        $is_ping_auto         = $request['IS_PING_AUTO'];

        // ブログ設定の更新
        db_update_blog_config('BLOG_NAME', $blog_name);
        db_update_blog_config('BLOG_INTRO', $blog_intro);
        db_update_blog_config('NEWS_SIZE', $news_size);
        db_update_blog_config('PAGE_SIZE', $page_size);
        db_update_blog_config('IS_COMMENT_APPROVE', $is_comment_approve);
        db_update_blog_config('IS_TRACKBACK_APPROVE', $is_trackback_approve);
        db_update_blog_config('IS_PING_AUTO', $is_ping_auto);

        // メッセージの作成
        $params = array('msg' => 'ブログ設定を更新しました。');

        // リダイレクト
        pocket_redirect('configBlog.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $blog_name            = $request['BLOG_NAME'];
        $blog_intro           = $request['BLOG_INTRO'];
        $news_size            = $request['NEWS_SIZE'];
        $page_size            = $request['PAGE_SIZE'];
        $is_comment_approve   = $request['IS_COMMENT_APPROVE'];
        $is_trackback_approve = $request['IS_TRACKBACK_APPROVE'];
        $is_ping_auto         = $request['IS_PING_AUTO'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configBlog';
        // 検証
        $validator->validate('BLOG_NAME'           , 'ブログ名称'            , $blog_name           , 'string', true);
        $validator->validate('BLOG_INTRO'          , 'ブログ紹介'            , $blog_intro          , 'string', true);
        $validator->validate('NEWS_SIZE'           , '最新情報の表示件数'    , $news_size           , 'number', true);
        $validator->validate('PAGE_SIZE'           , '１ページの表示件数'    , $page_size           , 'number', true);
        $validator->validate('IS_COMMENT_APPROVE'  , 'コメント承認機能'      , $is_comment_approve  , 'number', true);
        $validator->validate('IS_TRACKBACK_APPROVE', 'トラックバック承認機能', $is_trackback_approve, 'number', true);
        $validator->validate('IS_PING_AUTO'        , 'PING自動送信機能'      , $is_ping_auto        , 'number', true);
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
