<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  画像ファイル更新画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class configImageEditAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $image_id = $request['image_id'];

        /**
         *  メイン情報の取得、設定
         */
        // 画像ファイル情報の取得
        $image = db_get_image($image_id);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $image['title'] = $request['title'];
        }

        // 画像ファイル情報の設定
        $this->assign('image', $image);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '画像ファイルの編集');

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
