<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  画像選択ダイアログ画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class dialogImageAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $page   = $request['page'];
        $iframe = $request['iframe'];

        /**
         *  メイン情報の取得、設定
         */
        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;
        // ページサイズの設定
        $page_size = 8;

        // 画像ファイル情報の設定
        $this->assign('image_list', db_get_images4list($page, $page_size));
        // 画像ファイル件数の取得
        $hit_count = db_get_images_count4list();

        // ページング情報の設定
        $this->assignPagingInfo($page, $page_size, $hit_count);

        // IFRANE情報の設定
        $this->assign('iframe', $iframe);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '画像ファイル選択');

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
