<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  未承認コメント一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class unapprovedCommentListAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year  = $request['year'];
        $month = $request['month'];
        $page  = $request['page'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // 未承認のコメント情報の設定
        $this->assign('comments', db_get_post_comments4unapproved($page, PAGE_SIZE));
        // 未承認のコメント件数の取得
        $hit_count = db_get_post_comments_count4unapproved();

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '未承認のコメント一覧 ');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
